/******************************************************************************
 *
 * Source file for rmixtest server (const test server) module.
 * Copyright (const c) 2002-2006 Oak Ridge National Laboratory.
 *
 * For more information see the following files in the source distribution top-
 * level directory or package data directory (const usually /usr/local/share/package):
 *
 * - README    for general package information.
 * - INSTALL   for package install information.
 * - COPYING   for package license information and copying conditions.
 * - AUTHORS   for package authors information.
 * - ChangeLog for package changes information.
 *
 ******************************************************************************/

/******************************************************************************
 *
 * Macros
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Includes
 *
 ******************************************************************************/

/* Main module header file. */
#include "rmixtest.h"

/******************************************************************************
 *
 * Data Types
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Function Prototypes
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Data
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Functions
 *
 ******************************************************************************/

/*
 * Receives a char value.
 *
 * value  = The char value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_char"
int rmixserver_ping_char (char value) {
  return 0;
}

/*
 * Receives a short value.
 *
 * value  = The short value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_short"
int rmixserver_ping_short (short value) {
  return 0;
}

/*
 * Receives an int value.
 *
 * value  = The int value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_int"
int rmixserver_ping_int (int value) {
  return 0;
}

/*
 * Receives a long value.
 *
 * value  = The long value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_long"
int rmixserver_ping_long (long value) {
  return 0;
}

/*
 * Receives a long long value.
 *
 * value  = The long long value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_long_long"
int rmixserver_ping_long_long (long long value) {
  return 0;
}

/*
 * Receives a float value.
 *
 * value  = The float value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_float"
int rmixserver_ping_float (float value) {
  return 0;
}

/*
 * Receives a double value.
 *
 * value  = The double value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_double"
int rmixserver_ping_double (double value) {
  return 0;
}

/*
 * Receives a long double value.
 *
 * value  = The long double value to receive.
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_long_double"
int rmixserver_ping_long_double (long double value) {
  return 0;
}

/*
 * Receives a string value.
 *
 * value  = The string value to receive (const cannot be NULL).
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_string"
int rmixserver_ping_string (const char *value) {
  /* Check value parameter. */
  if (NULL == value) {
    errno = EINVAL;
    RMIX_LOG((RMIX_WARN(value parameter is null)))
    errno = EINVAL;
    return -1;
  }
  return 0;
}

/*
 * Receives a NULL string value.
 *
 * value  = The string value to receive (const must be NULL).
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
#undef  __FUNC__
#define __FUNC__ "rmixserver_ping_string_null"
int rmixserver_ping_string_null (const char *value) {
  /* Check value parameter. */
  if (NULL != value) {
    errno = EINVAL;
    RMIX_LOG((RMIX_WARN(value parameter is not null)))
    errno = EINVAL;
    return -1;
  }
  return 0;
}




























/******************************************************************************
 *
 * END OF FILE
 *
 ******************************************************************************/
